import { HighlightStyle } from '@codemirror/language';
import { Extension } from '@codemirror/state';
export declare const jupyterEditorTheme: Extension;
export declare const jupyterHighlightStyle: HighlightStyle;
/**
 * JupyterLab CodeMirror 6 theme
 */
export declare const jupyterTheme: Extension;
/**
 * A namespace to handle CodeMirror 6 theme
 *
 * @alpha
 */
export declare namespace Theme {
    /**
     * Get the default CodeMirror 6 theme for JupyterLab
     *
     * @alpha
     * @returns Default theme
     */
    function defaultTheme(): Extension;
    /**
     * Register a new theme.
     *
     * @alpha
     * @param name Theme name
     * @param theme Codemirror 6 theme extension
     */
    function registerTheme(name: string, theme: Extension): void;
    /**
     * Get a theme.
     *
     * #### Notes
     * It falls back to the default theme
     *
     * @alpha
     * @param name Theme name
     * @returns Theme extension
     */
    function getTheme(name: string): Extension;
}
